ClientLink (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.link
Class ClientLink

    java.lang.Object
      com.bbn.openmap.layer.link.Link
          com.bbn.openmap.layer.link.ClientLink

All Implemented Interfaces:
  LinkConstants

    public class ClientLink

extends Link

The ClientLink provides the method to close the link down, since it makes that decision. The server should remain connected until the client is finished. The server can request to be disconnected, however, and the ClientLink provides a method for the client to check if that request has been made.

Field Summary

Fields inherited from class com.bbn.openmap.layer.link.Link
`actionList, actionRequest, charArray, closeLink, dis, dos, graphicList, guiList, guiRequest, locked, mapRequest, MAX_HEADER_LENGTH, obeyCommandToExit, socket`

Fields inherited from interface com.bbn.openmap.layer.link.LinkConstants
`ACTION_REQUEST_HEADER, ACTIONS_HEADER, ARC_HEADER, BITMAP_HEADER, CIRCLE_HEADER, CLOSE_LINK_HEADER, ELLIPSE_HEADER, END_SECTION, END_TOTAL, GRAPHIC_HEADER, GRAPHICS_HEADER, GRID_HEADER, GUI_HEADER, GUI_REQUEST_HEADER, HUH_HEADER, LINE_HEADER, LINK_VERSION, MAP_REQUEST_HEADER, PING_REQUEST_HEADER, PING_RESPONSE_HEADER, POINT_HEADER, POLY_HEADER, RASTER_HEADER, RECTANGLE_HEADER, SHUTDOWN_HEADER, TEXT_HEADER, UNKNOWN, UPDATE_GRAPHICS, UPDATE_GUI, UPDATE_MAP`

Constructor Summary
`ClientLink(java.net.Socket socket)` Constructor.

Method Summary
`void` | `close()` Close the socket of the link.
`boolean` | `isCloseLink()` A method used by the client after a communication exchange.

Methods inherited from class com.bbn.openmap.layer.link.Link
`cleanUp, clearBytesWritten, end, getAcceptCommandToExit, getActionList, getActionRequest, getBytesWritten, getDIS, getDOS, getGraphicList, getGUIList, getGUIRequest, getMapRequest, isLocked, readAndParse, readAndParse, readAndParse, readDelimiter, setLocked, setObeyCommandToExit, start`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientLink

    public ClientLink(java.net.Socket socket)
               throws java.io.IOException

  Constructor.

  Throws:
    `java.io.IOException`

Method Detail

### close

    public void close()
               throws java.io.IOException

  Close the socket of the link.

  Throws:
    `java.io.IOException`

### isCloseLink

    public boolean isCloseLink()

  A method used by the client after a communication exchange. Since the client is the side of the link that can close the link, it can find out if the server wants to close down the link with this method.

  Returns:
    true if the link should be shut down.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details